<?php

/**
 * Activa item de menú, agregando clase css
 * 
 * @param array $item el item de menú
 * @param string $active_class el nombre de la clase css
 * @return string la clase a asignar al item
 */
function set_active($item, $active_class = 'active') {
    if (isset($item['subitems'])) {
        $active = FALSE;
        foreach ($item['subitems'] as $subitem) {
            if (isset($subitem['link']) && Request::is($subitem['link'])) {
                $active = TRUE;
                break;
            }
        }
        return $active ? $active_class : '';
    }

    return isset($item['link']) && Request::is($item['link']) ? $active_class : '';
}

/**
 * Verifica permisos del usuario actual para ver el item de menú
 * 
 * @param array $item el item de menú
 * @return boolean si puede o no ver el item
 */
function can_see($item) {
    if (isset($item['subitems'])) {
        $can_see = FALSE;
        foreach ($item['subitems'] as $subitem) {
            if (!isset($subitem['perm_name']) || (isset($subitem['perm_name']) && Auth::user()->can($subitem['perm_name'])) ) {
                $can_see = TRUE;
                break;
            }
        }
        return $can_see;
    }
    
    return isset($item['perm_name'])? Auth::user()->can($item['perm_name']) : TRUE;
}